" VIM Syntax file for txr
" Kaz Kylheku <kaz@kylheku.com>

" INSTALL-HOWTO:
"
" 1. Create the directory .vim/syntax in your home directory and
"    put the files txr.vim and tl.vim into this directory.
" 2. In your .vimrc, add this command to associate *.txr and *.tl
"    files with the txr and tl filetypes:
"    :au BufRead,BufNewFile *.txr set filetype=txr | set lisp
"    :au BufRead,BufNewFile *.tl set filetype=tl | set lisp
"
" If you want syntax highlighting to be on automatically (for any language)
" you need to add ":syntax on" in your .vimrc also. But you knew that already!
"
" This file is generated by the genvim.txr script in the TXR source tree.

syn case match
syn spell toplevel

setlocal iskeyword=a-z,A-Z,48-57,!,$,&,*,+,-,:,<,=,>,?,\\,_,~,/

syn keyword tl_keyword contained %e% %pi% * *args*
syn keyword tl_keyword contained *args-full* *e* *flo-dig* *flo-epsilon*
syn keyword tl_keyword contained *flo-max* *flo-min* *full-args* *gensym-counter*
syn keyword tl_keyword contained *keyword-package* *lib-version* *listener-hist-len* *listener-multi-line-p*
syn keyword tl_keyword contained *listener-sel-inclusive-p* *load-path* *pi* *place-clobber-expander*
syn keyword tl_keyword contained *place-delete-expander* *place-macro* *place-update-expander* *print-base*
syn keyword tl_keyword contained *print-flo-digits* *print-flo-format* *print-flo-precision* *random-state*
syn keyword tl_keyword contained *random-warmup* *self-path* *stddebug* *stderr*
syn keyword tl_keyword contained *stdin* *stdlog* *stdnull* *stdout*
syn keyword tl_keyword contained *system-package* *txr-version* *unhandled-hook* *user-package*
syn keyword tl_keyword contained + - / /=
syn keyword tl_keyword contained : :addr :append :args
syn keyword tl_keyword contained :atime :auto :awk-file :awk-rec
syn keyword tl_keyword contained :begin :begin-file :blksize :blocks
syn keyword tl_keyword contained :byte-oriented :cdigit :chars :continue
syn keyword tl_keyword contained :counter :cspace :ctime :cword-char
syn keyword tl_keyword contained :decline :dev :digit :downcase
syn keyword tl_keyword contained :end :end-file :env :equal-based
syn keyword tl_keyword contained :fd :filter :fini :finish
syn keyword tl_keyword contained :form :from-current :from-end :from-start
syn keyword tl_keyword contained :from_html :frombase64 :fromhtml :frompercent
syn keyword tl_keyword contained :fromurl :fun :function :gap
syn keyword tl_keyword contained :gid :greedy :hextoint :init
syn keyword tl_keyword contained :ino :inputs :instance :into
syn keyword tl_keyword contained :let :lfilt :lines :list
syn keyword tl_keyword contained :longest :mandatory :maxgap :maxtimes
syn keyword tl_keyword contained :method :mingap :mintimes :mode
syn keyword tl_keyword contained :mtime :name :named :next-spec
syn keyword tl_keyword contained :nlink :nothrow :output :postinit
syn keyword tl_keyword contained :prio :rdev :real-time :reflect
syn keyword tl_keyword contained :repeat-spec :resolve :rfilt :shortest
syn keyword tl_keyword contained :size :space :static :string
syn keyword tl_keyword contained :symacro :times :tlist :to_html
syn keyword tl_keyword contained :tobase64 :tofloat :tohtml :tohtml*
syn keyword tl_keyword contained :toint :tonumber :topercent :tourl
syn keyword tl_keyword contained :uid :upcase :var :vars
syn keyword tl_keyword contained :weak-keys :weak-vals :whole :word-char
syn keyword tl_keyword contained :wrap < <= =
syn keyword tl_keyword contained > >= abort abs
syn keyword tl_keyword contained abs-path-p acons acons-new aconsql-new
syn keyword tl_keyword contained acos ado af-inet af-inet6
syn keyword tl_keyword contained af-unix af-unspec ai-addrconfig ai-all
syn keyword tl_keyword contained ai-canonname ai-numerichost ai-numericserv ai-passive
syn keyword tl_keyword contained ai-v4mapped alet alist-nremove alist-remove
syn keyword tl_keyword contained all and andf ap
syn keyword tl_keyword contained apf append append* append-each
syn keyword tl_keyword contained append-each* apply aret ash
syn keyword tl_keyword contained asin assoc assql at-exit-call
syn keyword tl_keyword contained at-exit-do-not-call atan atan2 atom
syn keyword tl_keyword contained awk base64-decode base64-encode bignump
syn keyword tl_keyword contained bindable bit block block*
syn keyword tl_keyword contained boundp break-str brkint bs0
syn keyword tl_keyword contained bs1 bsdly build build-list
syn keyword tl_keyword contained butlast caaaaar caaaadr caaaar
syn keyword tl_keyword contained caaadar caaaddr caaadr caaar
syn keyword tl_keyword contained caadaar caadadr caadar caaddar
syn keyword tl_keyword contained caadddr caaddr caadr caar
syn keyword tl_keyword contained cadaaar cadaadr cadaar cadadar
syn keyword tl_keyword contained cadaddr cadadr cadar caddaar
syn keyword tl_keyword contained caddadr caddar cadddar caddddr
syn keyword tl_keyword contained cadddr caddr cadr call
syn keyword tl_keyword contained call-clobber-expander call-delete-expander call-finalizers call-super-fun
syn keyword tl_keyword contained call-super-method call-update-expander callf car
syn keyword tl_keyword contained caseq caseql casequal cat-str
syn keyword tl_keyword contained cat-streams cat-vec catch catenated-stream-p
syn keyword tl_keyword contained catenated-stream-push cbaud cbaudex cdaaaar
syn keyword tl_keyword contained cdaaadr cdaaar cdaadar cdaaddr
syn keyword tl_keyword contained cdaadr cdaar cdadaar cdadadr
syn keyword tl_keyword contained cdadar cdaddar cdadddr cdaddr
syn keyword tl_keyword contained cdadr cdar cddaaar cddaadr
syn keyword tl_keyword contained cddaar cddadar cddaddr cddadr
syn keyword tl_keyword contained cddar cdddaar cdddadr cdddar
syn keyword tl_keyword contained cddddar cdddddr cddddr cdddr
syn keyword tl_keyword contained cddr cdr ceil chain
syn keyword tl_keyword contained chand chdir chmod chr-digit
syn keyword tl_keyword contained chr-int chr-isalnum chr-isalpha chr-isascii
syn keyword tl_keyword contained chr-isblank chr-iscntrl chr-isdigit chr-isgraph
syn keyword tl_keyword contained chr-islower chr-isprint chr-ispunct chr-isspace
syn keyword tl_keyword contained chr-isunisp chr-isupper chr-isxdigit chr-num
syn keyword tl_keyword contained chr-str chr-str-set chr-tolower chr-toupper
syn keyword tl_keyword contained chr-xdigit chrp clamp clear-error
syn keyword tl_keyword contained clear-struct clocal close-stream closelog
syn keyword tl_keyword contained cmp-str cmspar collect-each collect-each*
syn keyword tl_keyword contained comb compare-swap compl-span-str cond
syn keyword tl_keyword contained conda condlet cons conses
syn keyword tl_keyword contained conses* consp constantp copy
syn keyword tl_keyword contained copy-alist copy-cons copy-hash copy-list
syn keyword tl_keyword contained copy-str copy-struct copy-vec cos
syn keyword tl_keyword contained count-if countq countql countqual
syn keyword tl_keyword contained cr0 cr1 cr2 cr3
syn keyword tl_keyword contained crdly cread crtscts crypt
syn keyword tl_keyword contained cs5 cs6 cs7 cs8
syn keyword tl_keyword contained csize cstopb cum-norm-dist daemon
syn keyword tl_keyword contained dec defex define-accessor define-modify-macro
syn keyword tl_keyword contained define-place-macro defmacro defmeth defparm
syn keyword tl_keyword contained defparml defplace defstruct defsymacro
syn keyword tl_keyword contained defun defvar defvarl del
syn keyword tl_keyword contained delay delete-package display-width do
syn keyword tl_keyword contained dohash dotimes downcase-str drop
syn keyword tl_keyword contained drop-until drop-while dup dupfd
syn keyword tl_keyword contained dwim each each* echo
syn keyword tl_keyword contained echoctl echoe echok echoke
syn keyword tl_keyword contained echonl echoprt eighth empty
syn keyword tl_keyword contained endgrent endpwent ensure-dir env
syn keyword tl_keyword contained env-fbind env-hash env-vbind eq
syn keyword tl_keyword contained eql equal errno error
syn keyword tl_keyword contained eval evenp exception-subtype-p exec
syn keyword tl_keyword contained exit exit* exp expand-left
syn keyword tl_keyword contained expand-right expt exptmod extproc
syn keyword tl_keyword contained f$ f^ f^$ false
syn keyword tl_keyword contained fboundp ff0 ff1 ffdly
syn keyword tl_keyword contained fifth fileno filter-equal filter-string-tree
syn keyword tl_keyword contained finalize find find-frame find-if
syn keyword tl_keyword contained find-max find-min find-package find-struct-type
syn keyword tl_keyword contained first fixnum-max fixnum-min fixnump
syn keyword tl_keyword contained flatcar flatcar* flatten flatten*
syn keyword tl_keyword contained flet flip flipargs flo-dig
syn keyword tl_keyword contained flo-epsilon flo-int flo-max flo-max-dig
syn keyword tl_keyword contained flo-min flo-str floatp floor
syn keyword tl_keyword contained flush-stream flusho fmakunbound fmt
syn keyword tl_keyword contained fnm-casefold fnm-leading-dir fnm-noescape fnm-pathname
syn keyword tl_keyword contained fnm-period fnmatch for for*
syn keyword tl_keyword contained force fork format fourth
syn keyword tl_keyword contained from fstat ftw ftw-actionretval
syn keyword tl_keyword contained ftw-chdir ftw-continue ftw-d ftw-depth
syn keyword tl_keyword contained ftw-dnr ftw-dp ftw-f ftw-mount
syn keyword tl_keyword contained ftw-ns ftw-phys ftw-skip-siblings ftw-skip-subtree
syn keyword tl_keyword contained ftw-sl ftw-sln ftw-stop fun
syn keyword tl_keyword contained func-get-env func-get-form func-get-name func-set-env
syn keyword tl_keyword contained functionp gcd gen generate
syn keyword tl_keyword contained gensym gequal get-byte get-char
syn keyword tl_keyword contained get-clobber-expander get-delete-expander get-error get-error-str
syn keyword tl_keyword contained get-frames get-hash-userdata get-indent get-indent-mode
syn keyword tl_keyword contained get-line get-lines get-list-from-stream get-sig-handler
syn keyword tl_keyword contained get-string get-string-from-stream get-update-expander getaddrinfo
syn keyword tl_keyword contained getegid getenv geteuid getgid
syn keyword tl_keyword contained getgrent getgrgid getgrnam getgroups
syn keyword tl_keyword contained gethash getitimer getpid getppid
syn keyword tl_keyword contained getpwent getpwnam getpwuid getresgid
syn keyword tl_keyword contained getresuid getuid ginterate giterate
syn keyword tl_keyword contained glob glob-altdirfunc glob-brace glob-err
syn keyword tl_keyword contained glob-mark glob-nocheck glob-noescape glob-nomagic
syn keyword tl_keyword contained glob-nosort glob-onlydir glob-period glob-tilde
syn keyword tl_keyword contained glob-tilde-check greater group-by group-reduce
syn keyword tl_keyword contained gun handle handler-bind hash
syn keyword tl_keyword contained hash-alist hash-begin hash-construct hash-count
syn keyword tl_keyword contained hash-diff hash-eql hash-equal hash-from-pairs
syn keyword tl_keyword contained hash-isec hash-keys hash-list hash-next
syn keyword tl_keyword contained hash-pairs hash-proper-subset hash-revget hash-subset
syn keyword tl_keyword contained hash-uni hash-update hash-update-1 hash-values
syn keyword tl_keyword contained hashp have html-decode html-encode
syn keyword tl_keyword contained html-encode* hupcl iapply icanon
syn keyword tl_keyword contained icrnl identity ido iexten
syn keyword tl_keyword contained if ifa iff iffi
syn keyword tl_keyword contained iflet ignbrk igncr ignerr
syn keyword tl_keyword contained ignpar imaxbel in in6addr-any
syn keyword tl_keyword contained in6addr-loopback inaddr-any inaddr-loopback inc
syn keyword tl_keyword contained inc-indent indent-code indent-data indent-off
syn keyword tl_keyword contained inhash inlcr inpck int-chr
syn keyword tl_keyword contained int-flo int-str integerp intern
syn keyword tl_keyword contained interp-fun-p interpose invoke-catch ip
syn keyword tl_keyword contained ipf iread isig isqrt
syn keyword tl_keyword contained istrip itimer-prov itimer-real itimer-virtual
syn keyword tl_keyword contained iuclc iutf8 ixany ixoff
syn keyword tl_keyword contained ixon juxt keep-if keep-if*
syn keyword tl_keyword contained keepq keepql keepqual keyword-package
syn keyword tl_keyword contained keywordp kill labels lambda
syn keyword tl_keyword contained last lazy-str lazy-str-force lazy-str-force-upto
syn keyword tl_keyword contained lazy-str-get-trailing-list lazy-stream-cons lazy-stringp lcm
syn keyword tl_keyword contained lcons lcons-fun lconsp ldiff
syn keyword tl_keyword contained length length-list length-str length-str-<
syn keyword tl_keyword contained length-str-<= length-str-> length-str->= length-vec
syn keyword tl_keyword contained lequal less let let*
syn keyword tl_keyword contained lexical-fun-p lexical-lisp1-binding lexical-var-p lib-version
syn keyword tl_keyword contained link lisp-parse list list*
syn keyword tl_keyword contained list-str list-vec list-vector listp
syn keyword tl_keyword contained lnew load log log-alert
syn keyword tl_keyword contained log-auth log-authpriv log-cons log-crit
syn keyword tl_keyword contained log-daemon log-debug log-emerg log-err
syn keyword tl_keyword contained log-info log-ndelay log-notice log-nowait
syn keyword tl_keyword contained log-odelay log-perror log-pid log-user
syn keyword tl_keyword contained log-warning log10 log2 logand
syn keyword tl_keyword contained logior lognot logtest logtrunc
syn keyword tl_keyword contained logxor lset lstat m$
syn keyword tl_keyword contained m^ m^$ mac-param-bind macro-ancestor
syn keyword tl_keyword contained macro-form-p macro-time macroexpand macroexpand-1
syn keyword tl_keyword contained macrolet major make-catenated-stream make-env
syn keyword tl_keyword contained make-hash make-lazy-cons make-lazy-struct make-like
syn keyword tl_keyword contained make-package make-random-state make-similar-hash make-string-byte-input-stream
syn keyword tl_keyword contained make-string-input-stream make-string-output-stream make-strlist-input-stream make-strlist-output-stream
syn keyword tl_keyword contained make-struct make-struct-type make-sym make-time
syn keyword tl_keyword contained make-time-utc make-trie makedev makunbound
syn keyword tl_keyword contained mapcar mapcar* mapdo mapf
syn keyword tl_keyword contained maphash mappend mappend* mask
syn keyword tl_keyword contained match-fun match-regex match-regex-right match-regst
syn keyword tl_keyword contained match-regst-right match-str match-str-tree max
syn keyword tl_keyword contained mboundp member member-if memq
syn keyword tl_keyword contained memql memqual merge meth
syn keyword tl_keyword contained method min minor minusp
syn keyword tl_keyword contained mkdir mknod mkstring mlet
syn keyword tl_keyword contained mmakunbound mod multi multi-sort
syn keyword tl_keyword contained n-choose-k n-perm-k nconc new
syn keyword tl_keyword contained nexpand-left nil nilf ninth
syn keyword tl_keyword contained nl0 nl1 nldly noflsh
syn keyword tl_keyword contained none not notf nreconc
syn keyword tl_keyword contained nreverse nthcdr null nullify
syn keyword tl_keyword contained num-chr num-str numberp oand
syn keyword tl_keyword contained obtain obtain* obtain*-block obtain-block
syn keyword tl_keyword contained ocrnl oddp ofdel ofill
syn keyword tl_keyword contained olcuc onlcr onlret onocr
syn keyword tl_keyword contained op open-command open-directory open-file
syn keyword tl_keyword contained open-fileno open-files open-files* open-pipe
syn keyword tl_keyword contained open-process open-socket open-socket-pair open-tail
syn keyword tl_keyword contained openlog opip opost or
syn keyword tl_keyword contained orf package-alist package-name package-symbols
syn keyword tl_keyword contained packagep pad parenb parmrk
syn keyword tl_keyword contained parodd partition partition* partition-by
syn keyword tl_keyword contained path-blkdev-p path-chrdev-p path-dir-p path-executable-to-me-p
syn keyword tl_keyword contained path-exists-p path-file-p path-mine-p path-my-group-p
syn keyword tl_keyword contained path-newer path-older path-pipe-p path-private-to-me-p
syn keyword tl_keyword contained path-read-writable-to-me-p path-readable-to-me-p path-same-object path-setgid-p
syn keyword tl_keyword contained path-setuid-p path-sock-p path-sticky-p path-strictly-private-to-me-p
syn keyword tl_keyword contained path-symlink-p path-writable-to-me-p pdec pendin
syn keyword tl_keyword contained perm pinc pipe place-form-p
syn keyword tl_keyword contained placelet placelet* plusp poll
syn keyword tl_keyword contained poll-err poll-in poll-nval poll-out
syn keyword tl_keyword contained poll-pri poll-rdband poll-rdhup poll-wrband
syn keyword tl_keyword contained pop pos pos-if pos-max
syn keyword tl_keyword contained pos-min posq posql posqual
syn keyword tl_keyword contained pppred ppred pprinl pprint
syn keyword tl_keyword contained pprof pred prinl print
syn keyword tl_keyword contained prof prog1 progn promisep
syn keyword tl_keyword contained prop proper-list-p proper-listp pset
syn keyword tl_keyword contained pure-rel-path-p push pushhash pushnew
syn keyword tl_keyword contained put-byte put-char put-line put-lines
syn keyword tl_keyword contained put-string put-strings pwd qquote
syn keyword tl_keyword contained qref quote r$ r^
syn keyword tl_keyword contained r^$ raise rand random
syn keyword tl_keyword contained random-fixnum random-state-get-vec random-state-p range
syn keyword tl_keyword contained range* range-regex rangep rcomb
syn keyword tl_keyword contained rcons read read-until-match readlink
syn keyword tl_keyword contained real-time-stream-p record-adapter reduce-left reduce-right
syn keyword tl_keyword contained ref refset regex-compile regex-parse
syn keyword tl_keyword contained regex-source regexp register-exception-subtypes regsub
syn keyword tl_keyword contained rehome-sym remhash remove-if remove-if*
syn keyword tl_keyword contained remove-path remq remq* remql
syn keyword tl_keyword contained remql* remqual remqual* rename-path
syn keyword tl_keyword contained repeat replace replace-list replace-str
syn keyword tl_keyword contained replace-struct replace-vec reset-struct rest
syn keyword tl_keyword contained ret retf return return*
syn keyword tl_keyword contained return-from revappend reverse rfind
syn keyword tl_keyword contained rfind-if rlcp rlet rmember
syn keyword tl_keyword contained rmember-if rmemq rmemql rmemqual
syn keyword tl_keyword contained rotate rperm rplaca rplacd
syn keyword tl_keyword contained rpos rpos-if rposq rposql
syn keyword tl_keyword contained rposqual rsearch rslot run
syn keyword tl_keyword contained s-ifblk s-ifchr s-ifdir s-ififo
syn keyword tl_keyword contained s-iflnk s-ifmt s-ifreg s-ifsock
syn keyword tl_keyword contained s-irgrp s-iroth s-irusr s-irwxg
syn keyword tl_keyword contained s-irwxo s-irwxu s-isgid s-isuid
syn keyword tl_keyword contained s-isvtx s-iwgrp s-iwoth s-iwusr
syn keyword tl_keyword contained s-ixgrp s-ixoth s-ixusr search
syn keyword tl_keyword contained search-regex search-regst search-str search-str-tree
syn keyword tl_keyword contained second seek-stream select self-load-path
syn keyword tl_keyword contained self-path seqp set set-diff
syn keyword tl_keyword contained set-hash-userdata set-indent set-indent-mode set-sig-handler
syn keyword tl_keyword contained setegid setenv seteuid setgid
syn keyword tl_keyword contained setgrent setgroups sethash setitimer
syn keyword tl_keyword contained setlogmask setpwent setresgid setresuid
syn keyword tl_keyword contained setuid seventh sh shift
syn keyword tl_keyword contained shuffle shut-rd shut-rdwr shut-wr
syn keyword tl_keyword contained sig-abrt sig-alrm sig-bus sig-check
syn keyword tl_keyword contained sig-chld sig-cont sig-fpe sig-hup
syn keyword tl_keyword contained sig-ill sig-int sig-io sig-iot
syn keyword tl_keyword contained sig-kill sig-pipe sig-poll sig-prof
syn keyword tl_keyword contained sig-pwr sig-quit sig-segv sig-stkflt
syn keyword tl_keyword contained sig-stop sig-sys sig-term sig-trap
syn keyword tl_keyword contained sig-tstp sig-ttin sig-ttou sig-urg
syn keyword tl_keyword contained sig-usr1 sig-usr2 sig-vtalrm sig-winch
syn keyword tl_keyword contained sig-xcpu sig-xfsz sign-extend sin
syn keyword tl_keyword contained sixth size-vec slet slot
syn keyword tl_keyword contained slotp slotset sock-accept sock-bind
syn keyword tl_keyword contained sock-cloexec sock-connect sock-dgram sock-family
syn keyword tl_keyword contained sock-listen sock-nonblock sock-peer sock-recv-timeout
syn keyword tl_keyword contained sock-send-timeout sock-set-peer sock-shutdown sock-stream
syn keyword tl_keyword contained sock-type some sort sort-group
syn keyword tl_keyword contained source-loc source-loc-str span-str special-operator-p
syn keyword tl_keyword contained special-var-p splice split split*
syn keyword tl_keyword contained split-str split-str-set sqrt sssucc
syn keyword tl_keyword contained ssucc stat static-slot static-slot-ensure
syn keyword tl_keyword contained static-slot-p static-slot-set stdlib str-in6addr
syn keyword tl_keyword contained str-in6addr-net str-inaddr str-inaddr-net str<
syn keyword tl_keyword contained str<= str= str> str>=
syn keyword tl_keyword contained stream-get-prop stream-set-prop streamp string-extend
syn keyword tl_keyword contained string-lt stringp struct-type struct-type-p
syn keyword tl_keyword contained structp sub sub-list sub-str
syn keyword tl_keyword contained sub-vec subtypep succ super
syn keyword tl_keyword contained super-method suspend swap symacrolet
syn keyword tl_keyword contained symbol-function symbol-macro symbol-name symbol-package
syn keyword tl_keyword contained symbol-value symbolp symlink sys:*lisp1*
syn keyword tl_keyword contained sys:*pl-env* sys:abscond* sys:abscond-from sys:apply
syn keyword tl_keyword contained sys:awk-expander sys:awk-let sys:awk-test sys:bad-slot-syntax
syn keyword tl_keyword contained sys:capture-cont sys:conv sys:conv-expand sys:conv-let
syn keyword tl_keyword contained sys:cp-origin sys:defmeth sys:do-conv sys:do-path-test
syn keyword tl_keyword contained sys:dwim-del sys:dwim-set sys:eval-err sys:expand
syn keyword tl_keyword contained sys:expr sys:fbind sys:gc sys:gc-set-delta
syn keyword tl_keyword contained sys:get-fb sys:get-mb sys:get-vb sys:handle-bad-syntax
syn keyword tl_keyword contained sys:if-to-cond sys:in6addr-condensed-text sys:l1-setq sys:l1-val
syn keyword tl_keyword contained sys:lbind sys:lisp1-setq sys:lisp1-value sys:list-builder-macrolets
syn keyword tl_keyword contained sys:make-struct-type sys:mark-special sys:obtain-impl sys:path-access
syn keyword tl_keyword contained sys:path-examine sys:path-test sys:path-test-mode sys:pl-expand
syn keyword tl_keyword contained sys:placelet-1 sys:prune-nil-inits sys:qquote sys:quasi
syn keyword tl_keyword contained sys:quasilist sys:r-s-let-expander sys:reg-expand-nongreedy sys:reg-optimize
syn keyword tl_keyword contained sys:register-simple-accessor sys:rplaca sys:rplacd sys:rslotset
syn keyword tl_keyword contained sys:set-hash-rec-limit sys:set-hash-str-limit sys:set-macro-ancestor sys:setq
syn keyword tl_keyword contained sys:setqf sys:splice sys:str-inaddr-net-impl sys:struct-lit
syn keyword tl_keyword contained sys:sym-clobber-expander sys:sym-delete-expander sys:sym-update-expander sys:top-fb
syn keyword tl_keyword contained sys:top-mb sys:top-vb sys:unquote sys:var
syn keyword tl_keyword contained sys:with-saved-vars syslog system-package t
syn keyword tl_keyword contained tab0 tab1 tab2 tab3
syn keyword tl_keyword contained tabdly take take-until take-while
syn keyword tl_keyword contained tan tb tc tcdrain
syn keyword tl_keyword contained tcflow tcflush tcgetattr tciflush
syn keyword tl_keyword contained tcioff tcioflush tcion tcoflush
syn keyword tl_keyword contained tcooff tcoon tcsadrain tcsaflush
syn keyword tl_keyword contained tcsanow tcsendbreak tcsetattr tenth
syn keyword tl_keyword contained test-clear test-dec test-inc test-set
syn keyword tl_keyword contained test-set-indent-mode tf third throw
syn keyword tl_keyword contained throwf time time-fields-local time-fields-utc
syn keyword tl_keyword contained time-parse time-string-local time-string-utc time-struct-local
syn keyword tl_keyword contained time-struct-utc time-usec to tofloat
syn keyword tl_keyword contained tofloatz toint tointz tok-str
syn keyword tl_keyword contained tok-where tostop tostring tostringp
syn keyword tl_keyword contained tprint transpose tree-bind tree-case
syn keyword tl_keyword contained tree-find trie-add trie-compress trie-lookup-begin
syn keyword tl_keyword contained trie-lookup-feed-char trie-value-at trim-str true
syn keyword tl_keyword contained trunc trunc-rem truncate-stream tuples
syn keyword tl_keyword contained txr-case txr-case-impl txr-if txr-path
syn keyword tl_keyword contained txr-sym txr-version txr-when typecase
syn keyword tl_keyword contained typeof typep umask umeth
syn keyword tl_keyword contained umethod uname unget-byte unget-char
syn keyword tl_keyword contained uniq unique unless unquote
syn keyword tl_keyword contained unsetenv until until* unwind-protect
syn keyword tl_keyword contained upcase-str upd update url-decode
syn keyword tl_keyword contained url-encode use user-package usl
syn keyword tl_keyword contained usleep uslot vdiscard vec
syn keyword tl_keyword contained vec-list vec-push vec-set-length vecref
syn keyword tl_keyword contained vector vector-list vectorp veof
syn keyword tl_keyword contained veol veol2 verase vintr
syn keyword tl_keyword contained vkill vlnext vmin vquit
syn keyword tl_keyword contained vreprint vstart vstop vsusp
syn keyword tl_keyword contained vswtc vt0 vt1 vtdly
syn keyword tl_keyword contained vtime vwerase w-continued w-coredump
syn keyword tl_keyword contained w-exitstatus w-ifcontinued w-ifexited w-ifsignaled
syn keyword tl_keyword contained w-ifstopped w-nohang w-stopsig w-termsig
syn keyword tl_keyword contained w-untraced wait weave when
syn keyword tl_keyword contained whenlet where while while*
syn keyword tl_keyword contained whilet width width-check window-map
syn keyword tl_keyword contained window-mappend with-clobber-expander with-delete-expander with-gensyms
syn keyword tl_keyword contained with-hash-iter with-in-string-byte-stream with-in-string-stream with-objects
syn keyword tl_keyword contained with-out-string-stream with-out-strlist-stream with-resources with-slots
syn keyword tl_keyword contained with-stream with-update-expander wrap wrap*
syn keyword tl_keyword contained xcase yield yield-from zap
syn keyword tl_keyword contained zerop zip
syn match txr_nested_error "[^\t ]\+" contained
syn match txr_variable "\(@[ \t]*\)[*]\?[ \t]*[A-Za-z_][A-Za-z_0-9]*"
syn match txr_splicevar "@[ \t,*@]*[A-Za-z_][A-Za-z_0-9]*" contained
syn match txr_metanum "@\+[0-9]\+"
syn match txr_badesc "\\." contained
syn match txr_escat "\\@" contained
syn match txr_stresc "\\[abtnvfre\\ \n"`']" contained
syn match txr_numesc "\\x[0-9A-Fa-f]\+;\?" contained
syn match txr_numesc "\\[0-7]\+;\?" contained
syn match txr_regesc "\\[abtnvfre\\ \n/sSdDwW()\|.*?+~&%\[\]\-]" contained

syn match txr_chr "#\\x[0-9A-Fa-f]\+"
syn match txr_chr "#\\o[0-7]\+"
syn match txr_chr "#\\[^ \t\nA-Za-z_0-9]"
syn match txr_chr "#\\[A-Za-z_0-9]\+"
syn match txr_ncomment ";.*"

syn match txr_dot "\." contained
syn match txr_num "#x[+\-]\?[0-9A-Fa-f]\+"
syn match txr_num "#o[+\-]\?[0-7]\+"
syn match txr_num "#b[+\-]\?[01]\+"
syn match txr_ident "[A-Za-z_0-9!$%&*+\-<=>?\\_~]*[A-Za-z_!$%&*+\-<=>?\\_~^][A-Za-z_0-9!$%&*+\-<=>?\\_~^]*" contained
syn match tl_ident "[:@][A-Za-z_0-9!$%&*+\-<=>?\\_~^/]\+"
syn match txr_braced_ident "[:][A-Za-z_0-9!$%&*+\-<=>?\\_~^/]\+" contained
syn match tl_ident "[A-Za-z_0-9!$%&*+\-<=>?\\_~/]*[A-Za-z_!$%&*+\-<=>?\\_~^/#][A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]*"
syn match txr_num "[+\-]\?[0-9]\+\([^A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]\|\n\)"me=e-1
syn match txr_badnum "[+\-]\?[0-9]*[.][0-9]\+\([eE][+\-]\?[0-9]\+\)\?[A-Za-z_!$%&*+\-<=>?\\_~^/#]\+"
syn match txr_num "[+\-]\?[0-9]*[.][0-9]\+\([eE][+\-]\?[0-9]\+\)\?\([^A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]\|\n\)"me=e-1
syn match txr_num "[+\-]\?[0-9]\+\([eE][+\-]\?[0-9]\+\)\([^A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]\|\n\)"me=e-1
syn match tl_ident ":"
syn match tl_splice "[ \t,]\|,[*]"

syn match txr_unquote "," contained
syn match txr_splice ",\*" contained
syn match txr_quote "'" contained
syn match txr_quote "\^" contained
syn match txr_dotdot "\.\." contained
syn match txr_metaat "@" contained

syn region txr_bracevar matchgroup=Delimiter start="@[ \t]*[*]\?{" matchgroup=Delimiter end="}" contains=txr_num,tl_ident,tl_splice,tl_metanum,txr_metaat,txr_braced_ident,txr_dot,txr_dotdot,txr_string,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_regex,txr_quasilit,txr_chr,tl_splice,txr_nested_error
syn region txr_list matchgroup=Delimiter start="#\?H\?(" matchgroup=Delimiter end=")" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_badnum,tl_ident,txr_metanum,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_ncomment,txr_nested_error
syn region txr_bracket matchgroup=Delimiter start="\[" matchgroup=Delimiter end="\]" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_badnum,tl_ident,txr_metanum,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_ncomment,txr_nested_error
syn region txr_mlist matchgroup=Delimiter start="@[ \t^',]*(" matchgroup=Delimiter end=")" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_badnum,tl_ident,txr_metanum,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_ncomment,txr_nested_error
syn region txr_mbracket matchgroup=Delimiter start="@[ \t^',]*\[" matchgroup=Delimiter end="\]" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_badnum,tl_ident,txr_metanum,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_ncomment,txr_nested_error
syn region txr_string start=+#\?\*\?"+ end=+["\n]+ contains=txr_stresc,txr_numesc,txr_badesc
syn region txr_quasilit start=+#\?\*\?`+ end=+[`\n]+ contains=txr_splicevar,txr_metanum,txr_bracevar,txr_mlist,txr_mbracket,txr_escat,txr_stresc,txr_numesc,txr_badesc
syn region txr_regex start="/" end="[/\n]" contains=txr_regesc,txr_numesc,txr_badesc
syn region tl_regex start="#/" end="[/\n]" contains=txr_regesc,txr_numesc,txr_badesc

hi def link txr_at Special
hi def link txr_atstar Special
hi def link txr_atat Special
hi def link txr_comment Comment
hi def link txr_ncomment Comment
hi def link txr_hashbang Preproc
hi def link txr_contin Preproc
hi def link txr_char String
hi def link txr_keyword Keyword
hi def link tl_keyword Type
hi def link txr_string String
hi def link txr_chr String
hi def link txr_quasilit String
hi def link txr_regex String
hi def link tl_regex String
hi def link txr_regdir String
hi def link txr_variable Identifier
hi def link txr_splicevar Identifier
hi def link txr_metanum Identifier
hi def link txr_escat Special
hi def link txr_stresc Special
hi def link txr_numesc Special
hi def link txr_regesc Special
hi def link txr_badesc Error
hi def link txr_ident Identifier
hi def link tl_ident Identifier
hi def link txr_num Number
hi def link txr_badnum Error
hi def link txr_quote Special
hi def link txr_unquote Special
hi def link txr_splice Special
hi def link txr_dot Special
hi def link txr_dotdot Special
hi def link txr_metaat Special
hi def link txr_munqspl Special
hi def link tl_splice Special
hi def link txr_error Error
hi def link txr_nested_error Error

let b:current_syntax = "lisp"

set lispwords=ado,alet,ap,append-each,append-each*,aret,awk,block,block*,build,caseq,caseql,casequal,catch,collect-each,collect-each*,compare-swap,cond,conda,condlet,dec,defex,define-accessor,define-modify-macro,define-place-macro,defmacro,defmeth,defparm,defparml,defplace,defstruct,defsymacro,defun,defvar,defvarl,del,delay,do,dohash,dotimes,each,each*,flet,flip,for,for*,fun,gen,gun,handle,handler-bind,ido,if,ifa,iflet,ignerr,ip,labels,lambda,lcons,let,let*,lset,mac-param-bind,macro-time,macrolet,mlet,obtain,obtain*,obtain*-block,obtain-block,op,pdec,pinc,placelet,placelet*,pop,pprof,prof,prog1,progn,push,pushnew,ret,return,return-from,rlet,rslot,slet,splice,suspend,symacrolet,sys:abscond-from,sys:awk-let,sys:conv,sys:expr,sys:fbind,sys:l1-val,sys:lbind,sys:lisp1-value,sys:path-examine,sys:path-test,sys:placelet-1,sys:splice,sys:struct-lit,sys:unquote,sys:var,sys:with-saved-vars,tb,tc,test-clear,test-dec,test-inc,test-set,tree-bind,tree-case,txr-case,txr-case-impl,txr-if,txr-when,typecase,unless,unquote,until,until*,unwind-protect,upd,when,whenlet,while,while*,whilet,with-clobber-expander,with-delete-expander,with-gensyms,with-hash-iter,with-in-string-byte-stream,with-in-string-stream,with-objects,with-out-string-stream,with-out-strlist-stream,with-resources,with-slots,with-stream,with-update-expander,yield,yield-from,zap,:method,:function,:init,:postinit,:fini
